Link variants to a product.
1 min
POST
https://api.upstartcommerce.com/pim/products/{id}/link-variants
Body Parameters
- bodyobjectrequired
- variantIdsstring[]requiredDescription
Responses
200
- object
Response Headers
- Allow
- Cache-Control
- Content-Type
- ETag
- Location
207
- object
Response Headers
- Allow
- Cache-Control
- Content-Type
- ETag
curl
curl --request POST \
--url https://api.upstartcommerce.com/pim/products/{id}/link-variants \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"variantIds": []
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"variantIds": []
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/products/{id}/link-variants", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/products/{id}/link-variants")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"variantIds": []
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/products/{id}/link-variants"
payload = json.dumps({
"variantIds": []
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// All requested variants were successfully linked to the product.
{}207
// Partial success. Some variants were linked while others failed (for example a variant that is already associated to the product). The response body reports the per-variant status.
{}